<?php

namespace FM\Factory;

use Doctrine\ORM\EntityManager;

class TaskFactory
{
    protected $connection;

    public function __construct(EntityManager $entityManager)
    {
        $this->connection = $entityManager->getConnection();
    }

    public function getTarefaByTags($nrs)
    {
        $sql = "SELECT FCM_TAREFA.NMTAREFA, FCM_TAREFACHK.NRTAREFACHK
                  FROM FCM_TAREFA
                  JOIN FCM_TAREFACHK
                    ON FCM_TAREFA.NRTAREFA = FCM_TAREFACHK.NRTAREFA
                  JOIN FCM_TAGSCHKTAREFA
                    ON FCM_TAREFACHK.NRTAREFACHK = FCM_TAGSCHKTAREFA.NRTAREFACHK
                  JOIN FCM_TAGSTAREFA
                    ON FCM_TAGSTAREFA.NRTAGSTAREFA = FCM_TAGSCHKTAREFA.NRTAGSTAREFA
                 WHERE FCM_TAGSTAREFA.NRTAGSTAREFA IN (" . $nrs . ")";

        return $this->connection->executeQuery($sql)->fetchAllAssociative();
    }

    public function getTarefas()
    {
        $sql = "SELECT FCM_TAREFA.NMTAREFA, FCM_TAREFACHK.NRTAREFACHK, FCM_TAREFACHK.NRATIVIDADECHK, FCM_TAGSTAREFA.NRESCOPOSTAREFA
                  FROM FCM_TAREFA
                  LEFT JOIN FCM_TAREFACHK
                    ON FCM_TAREFA.NRTAREFA = FCM_TAREFACHK.NRTAREFA
                  LEFT JOIN FCM_TAGSTAREFA
                    ON FCM_TAREFACHK.NRTAREFA = FCM_TAGSTAREFA.NRTAREFA";

        return $this->connection->executeQuery($sql)->fetchAllAssociative();
    }
}
